DefaultURLGeneratorFactory (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.blast2html.DefaultURLGeneratorFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.blast2html
Class DefaultURLGeneratorFactory

    java.lang.Object
      org.biojava.bio.program.blast2html.DefaultURLGeneratorFactory

All Implemented Interfaces:
  URLGeneratorFactory

    public class DefaultURLGeneratorFactory

extends Object
implements URLGeneratorFactory

A simple default `URLGeneratorFactory` which returns a single `NcbiDatabaseURLGenerator` instance. Primary author - Colin Hardman (CAT) Other authors - Tim Dilks (CAT) Simon Brocklehurst (CAT) Stuart Johnston (CAT) Lawerence Bower (CAT) Derek Crockford (CAT) Neil Benn (CAT) Copyright 2001 Cambridge Antibody Technology Group plc. All Rights Reserved. This code released to the biojava project, May 2001 under the LGPL license.

Version:
  1.0
Author:
  Cambridge Antibody Technology Group plc

Constructor Summary
`DefaultURLGeneratorFactory()`

Method Summary
`List` | `getDatabaseURLGenerators()` Returns a list of 0, 1 or more `DatabaseURLGenerator` The first is used to link from the id in the summary table, all are used as a list of links in the detail section.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultURLGeneratorFactory

    public DefaultURLGeneratorFactory()

Method Detail

### getDatabaseURLGenerators

    public List getDatabaseURLGenerators()

  Description copied from interface: `URLGeneratorFactory`
  Returns a list of 0, 1 or more `DatabaseURLGenerator` The first is used to link from the id in the summary table, all are used as a list of links in the detail section.

  Specified by:
    `getDatabaseURLGenerators` in interface `URLGeneratorFactory`
  Returns:
    a `List`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD